Privilege Management ePO Extension 5.3.1 SR1 Release Notes

April 5th, 2019

New Features and Enhancements:

Issues Resolved:

  • You can no longer enable a VirusTotal reputation setting without providing an API key.
  • Fixed an issue to ensure that an error is always displayed on the Avecto Reporting page if there is no reporting Registered Server configured.
  • Fixed an issue to ensure that ePO event import works correctly.
  • Increased the 60 character limit on the WMI Query filter to 2048.

Compatability:

Defendpoint Windows Client

The following Defendpoint Windows Client versions are compatible with this version of the ePO Extension.

Version 5.3.230.0 SR3 of the Defendpoint Windows Client is certified with ePO Server 5.9.

Version 5.3.230.0 SR3 of the Defendpoint Windows Client is certified with ePO Server 5.10.
  • Recommended: 5.3 (all versions)
  • 5.2 (all versions)
  • 5.1 (all versions)
  • 5.0 (all versions)
  • 4.4 (all versions)
  • 4.3 (all versions)
  • 4.1 (all versions)
  • 4.0 (all versions)
  • 4.0 (all versions)
  • 3.8 (All versions)

Defendpoint Mac Client:

The following Defendpoint Mac Client versions are compatible with this version of the ePO Extension.

Version 5.2.27899.0 GA of the Mac Client is certified with ePO Server 5.9.
Version 5.2.29409.0 SR1 of the Mac Client is certified with ePO Server 5.10.
  • Recommended: 5.2.29409.0 SR1
  • 5.2.27899.0 GA

Enterprise Reporting Database:

The following Enterprise Reporting versions are compatible with this version of the ePO Extension.

If you are using an older version of the database, some reports may not return data and there may be reduced levels of performance.
  • Recommended: 5.3 GA
  • 5.1.99.0 SR1
  • 5.1.21.0 GA
  • 5.0.25.0 GA
  • 4.5.13.0 GA
  • 4.3.116 - This is the minimum version required to see Mac Events
  • 4.1 (all versions)
Using ePO to query fields, or import events that contain fields, that are not present in Enterprise Reporting database causes an error to be displayed. Fields won't be present in the Enterprise Reporting database if the functionality was implemented in a subsequent release, for example Trusted Application Protection was implemented in Enterprise Reporting 5.0 and the 'Uninstaller' Application Type was implemented in Enterprise Reporting 5.1.

Browser Compatibility

The following browsers are compatible with the ePO Extension and Avecto Reports:

  • Safari v10 and higher
  • Internet Explorer version 11.6 and higher
  • Chrome (latest version)
  • Firefox (latest version)

Please also refer to the McAfee ePO browser compatibility list as required https://kc.mcafee.com/corporate/index?page=content&id=KB51569

McAfee Agent

The following McAfee supported versions of these Agents are compatible with this version of the Defendpoint Client:

  • Recommended: 5.6.x
  • 5.5.x
  • 5.0.x

Version 4.8 and older of the McAfee agent are not supported with this release.

McAfee ePO Server

The following McAfee supported ePO Server versions are compatible with this version of the Defendpoint Client:

  • Recommended: 5.10 (all versions)
  • 5.9 (all versions)

Version 5.2.21.0 GA of the Defendpoint Windows Client is certified with ePO Server 5.9.

Version 5.2.28.0 SR1 of the Defendpoint Windows Client is certified with ePO Server 5.10.

McAfee Endpoint Security (ENS)

The following McAfee supported Endpoint Security versions are compatible with this version of the Defendpoint Client:

  • Endpoint Security (ENS) Adaptive Threat Protection (ATP) 10.x
    • With Generic Privilege Escalation Prevention (GPEP) enabled and disabled
  • ENS Firewall 10.x
  • ENS Threat Prevention 10.x
  • ENS Web Control 10.x

McAfee MOVE Multi-Platform Client

If the version of McAfee MOVE is compatible with the McAfee Agent you're using then Defendpoint is also compatible. The following

McAfee supported versions of the MOVE Multi-Platform Client are compatible with this version of the Defendpoint Client:

  • MOVE AV[Multi-Platform] SVA Manager 3.6.1.141
  • MOVE AV[Multi-Platform] Client 3.6.1.141
  • MOVE AV[Multi-Platform] License Extension 3.6.1.141
  • MOVE AV[Multi-Platform] Offload Scan Server 3.6.1.141

We do not support the agentless version of McAfee MOVE.